GHSA-c352-x843-ggpq

Suggest an improvement
Source
https://github.com/advisories/GHSA-c352-x843-ggpq
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2024/02/GHSA-c352-x843-ggpq/GHSA-c352-x843-ggpq.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-c352-x843-ggpq
Aliases
Published
2024-02-08T15:30:27Z
Modified
2024-02-16T08:14:17.310695Z
Severity
  • 8.8 (High) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H CVSS Calculator
Summary
XXL-JOB vulnerable to Server-Side Request Forgery
Details

xxl-job <= 2.4.0 has a Server-Side Request Forgery (SSRF) vulnerability, which causes low-privileged users to control executor to RCE.

References

Affected packages

Maven / com.xuxueli:xxl-job

Package

Name
com.xuxueli:xxl-job
View open source insights on deps.dev
Purl
pkg:maven/com.xuxueli/xxl-job

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Last affected
2.4.0

Affected versions

1.*

1.4.1
1.4.2
1.5.0
1.5.1
1.5.2
1.6.0
1.6.1
1.6.2
1.7.0
1.7.1
1.7.2
1.8.0
1.8.1
1.8.2
1.9.0
1.9.1
1.9.2

2.*

2.0.0
2.0.1
2.0.2
2.1.0
2.1.1
2.1.2
2.2.0
2.3.0
2.3.1
2.4.0